#include <stdio.h>

int takoto(int n1[], int l, int n) 
{
    int a = 1;
    
    if (l >= n1[0]) 
    {
        return -1;
    }
    
    for (int i = 0; i < n; i++) 
    {
        if (l >= n1[i]) 
        {
            return a;
            break;
        }
        else
        {
            a++;
        }
    }
    return -1;
}

int main() 
{
    int n, l, i;
    scanf("%d", &n);
    int n1[n];
    scanf("%d", &l);
    
    for (i = 0; i < n; i++) 
    {
        scanf("%d", &n1[i]);
    }
    
    int a = takoto(n1, l, n);
    
    printf("%d", a);
}